# $Revision: 1.31 $, $Date: 2002/07/13 19:18:28 $
Summary:	C++ interface to GNOME libraries
Summary(pl):	Interfejs w C++ do bibliotek GNOME
Name:		gnomemm
Version:	1.2.2
Release:	2
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp1.sourceforge.net/gtkmm/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_fix.patch
Patch1:		%{name}-am_fix.patch
Patch2:		%{name}-procbar_fix.patch
URL:		http://gtkmm.sourceforge.net/
Requires:	cpp
BuildRequires:	esound-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	imlib-devel
BuildRequires:	zlib-devel
BuildRequires:	gtkmm-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Gnomemm (gnome--) is a C++ interface to GNOME libraries. If you want
to run GNOME programs written in C++ you need gnomemm.

%description -l pl
Gnomemm (gnome--) jest interfejsem do bibliotek GNOME dla C++. Jeli
chcesz uruchamia programy GNOME napisane w C++ bdziesz potrzebowa
tych bibliotek.

%package devel
Summary:	Header files and some examples for gnomemm (gnome--)
Summary(pl):	Pliki nagwkowe i przykady dla gnomemm (gnome--)
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk+-devel
Requires:	gtkmm-devel
Requires:	gnome-libs-devel

%description devel
If you are going to write GNOME programs in C++ you will need this
package. It contains all header files, libraries and some examples.

%description devel -l pl
Jeli zamierzasz pisa programy GNOME w C++ bdziesz potrzebowa tego
pakietu. Zawiera on niezbdne nagwki, biblioteki i troch
przykadw.

%package static
Summary:	gnomemm static libraries
Summary(pl):	Biblioteki statyczne gnomemm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Gnomemm static libraries.

%description static -l pl
Biblioteki statyczne gnomemm.

%prep
%setup -q
#%patch0 -p1
#%patch1
%patch2

%build
#rm -f missing
#%{__libtoolize}
#aclocal -I %{_aclocaldir}/gnome
#%{__autoconf}
#%{__automake}
CXXFLAGS="%{rpmcflags} -fno-exceptions"
%configure2_13 \
	--enable-static=yes
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/src/examples/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -dpr examples/* $RPM_BUILD_ROOT/usr/src/examples/%{name}

# --- start examples ---
cat $RPM_BUILD_ROOT%{_examplesdir}/%{name}/examples.conf.in \
	| sed 's/@SHELL@/\/bin\/sh/g' \
	| sed 's/@CFLAGS@/-O2/g' \
	| sed 's/@CPPFLAGS@/`gnome-config --cflags gnome`/g' \
	| sed 's/@CXXFLAGS@/-O2/g' \
	| sed 's/@CXX@/c++/g' \
	| sed 's/@CXXLD@/c++/g' \
	| sed 's/@GTKMM_CFLAGS@/`gtkmm-config --cflags`/g' \
	| sed 's/@GTKMM_LIBS@/`gtkmm-config --libs`/g' \
	| sed 's/@GNOME_INCLUDEDIR@/`gnome-config --cflags gnome`/g' \
	| sed 's/@GNOMEUI_LIBS@ @GNOME_LIBDIR@/`gnome-config --libs gnome gnomeui`/g' \
	| sed 's/@LIBTOOL@/$(SHELL) \/usr\/bin\/libtool/g' \
	| sed 's/..\/..\/src\/gnome--\/libgnomemm.la/\/usr\/X11R6\/lib\/libgnomemm.la/g' \
	| sed 's/top_builddir = ..\/../top_builddir = ./g' \
	> $RPM_BUILD_ROOT%{_examplesdir}/%{name}/examples.conf
# --- end examples ---

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomemm*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS NEWS
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_libdir}/gnomemmConf.sh

%{_examplesdir}/%{name}

%{_includedir}/*.h
%{_includedir}/gnome--

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnomemm.spec,v $
Revision 1.31  2002/07/13 19:18:28  mmazur
- disabled ac/am (didn't work)
- use new %doc
- fixed compilation
- rel2; details in e-mail soon to follow

Revision 1.30  2002/06/23 20:32:28  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.29  2002/05/21 23:13:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/04/25 16:26:42  arturs
fixed a small typo

Revision 1.27  2002/04/21 00:35:12  mmazur
- updated to 1.2.2 (mainly bugfixes); rel1; STBR for TEST (something might
be wrong here)
- used a nasty workaround to get a good -devel package... anybody want's to
play with fixing am?

Revision 1.26  2002/04/20 22:00:08  mmazur
- added fix for am so now it builds at all :)

Revision 1.25  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.24  2002/02/23 02:17:46  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/09/26 10:59:41  qboosh
- adapterized, BuildRequires: autoconf, automake, libtool

Revision 1.20  2001/08/08 23:00:15  kloczek
- added ac_fic patch and add -I %%{_aclocaldir}/gnome to aclocal (woraround for
  not included macros subdirectory).

Revision 1.19  2001/08/08 21:42:04  kloczek
- updated to 1.2.1.

Revision 1.18  2001/06/24 19:29:12  kloczek
- updated to 1.2.0.

Revision 1.17  2001/06/10 19:16:30  kloczek
- updated to 1.1.21.

Revision 1.16  2001/05/18 00:52:39  kloczek
- updated to 1.1.19.

Revision 1.15  2001/04/24 02:17:16  kloczek
- updated to 1.1.17.

Revision 1.14  2001/03/19 01:24:20  kloczek
- updated to 1.1.16.

Revision 1.13  2001/03/03 21:34:35  kloczek
- updated to 1.1.15.

Revision 1.12  2001/03/01 02:02:52  kloczek
- relese 2: rebuild against gnome-libs linked with new audiofile.

Revision 1.11  2001/01/15 00:21:19  kloczek
- updated to 1.1.14.

Revision 1.10  2000/10/30 07:51:16  kloczek
- release 3: renuild against gnome-libs linked with db3.

Revision 1.9  2000/09/30 21:27:56  kloczek
- release 2: use rpm new automation suit.

Revision 1.8  2000/09/25 03:53:56  kloczek
- updated to 1.1.12.

Revision 1.7  2000/08/23 15:55:26  michuz
- changed location gnomemmConf.sh file

Revision 1.6  2000/08/23 10:23:31  michuz
- updated to 1.1.10
- added static package
- lots of small changes

